/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include <device.h>

// Schmartboard bootloader initial routine
void main( void)
{
	// run bootloader if SCL is shorted to ground or for timeout period or invalid bootloadable
	if ((SCL_Read() == 0) || (SchmartBL_GET_RUN_TYPE == SchmartBL_START_BTLDR))
		SchmartBL_SET_RUN_TYPE( SchmartBL_START_BTLDR);

	CyBtldr_Start();			// generic alias of SchmartBL_Start, never returns
}

/* [] END OF FILE */
